Subject: Re: bug#29041: 26.0.90: facemenu-set-intangible outdated

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 04 Feb 2021 15:29:53 +0100

Lars Ingebrigtsen <[email-masked]> writes:

> [email-masked] (Charles A. Roelli) writes:
>
>> facemenu-set-intangible sets the `intangible' property without
>> disabling inhibit-point-motion-hooks.  It should set
>> `cursor-intangible' instead, and activate cursor-intangible-mode.
>
> I think that makes some sense, but I'm not sure about activating a minor
> mode like that -- it might not be what the user expects, and has
> non-local effects.  Probably not serious effects (why would the user
> have other text with cursor-intangible in the buffer already?), but it
> feels a bit odd.
>
> On the other hand, facemenu-set-intangible could document that it does
> this, I guess?
>
> Any opinions?

There were no opinions, so I'll go with my original take on it, and say
that this is working as expected, and I'm closing this bug report.  If
somebody disagrees, please respond to the debbugs address and we'll
reopen. 

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no